## ezurio-qcacld-2.0-dkms 0.0~git20240408.aa96a9f+dfsg

=== Makefile ===
KERNEL_SRC ?= /lib/modules/$(shell uname -r)/build

KBUILD_OPTIONS := WLAN_ROOT=$(CURDIR)
KBUILD_OPTIONS += MODNAME?=wlan

# Determine if the driver license is Open source or proprietary
# This is determined under the assumption that LICENSE doesn't change.
# Please change here if driver license text changes.
LICENSE_FILE ?= $(CURDIR)/$(WLAN_ROOT)/CORE/HDD/src/wlan_hdd_main.c
WLAN_OPEN_SOURCE = $(shell if grep -q "MODULE_LICENSE(\"Dual BSD/GPL\")" \
		$(LICENSE_FILE); then echo 1; else echo 0; fi)

#By default build for CLD
WLAN_SELECT := CONFIG_QCA_CLD_WLAN=m
KBUILD_OPTIONS += CONFIG_QCA_WIFI_ISOC=0
KBUILD_OPTIONS += CONFIG_QCA_WIFI_2_0=1
KBUILD_OPTIONS += $(WLAN_SELECT)
KBUILD_OPTIONS += WLAN_OPEN_SOURCE=$(WLAN_OPEN_SOURCE)
KBUILD_OPTIONS += $(KBUILD_EXTRA) # Extra config if any

all:
	$(MAKE) -C $(KERNEL_SRC) M=$(CURDIR) modules $(KBUILD_OPTIONS)

modules_install:
	$(MAKE) INSTALL_MOD_STRIP=1 -C $(KERNEL_SRC) M=$(CURDIR) modules_install

clean:
	$(MAKE) -C $(KERNEL_SRC) M=$(CURDIR) clean

## ezurio-qcacld-2.0-dkms 0.0~git20230623.2cd31b6

=== debian/changelog ===
ezurio-qcacld-2.0-dkms (0.0~git20230623.2cd31b6-4) unstable; urgency=medium

  * debian/patches/fixup.patch: make work with kernels from testing and
    backports

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 29 Jun 2024 07:31:48 +0200

ezurio-qcacld-2.0-dkms (0.0~git20230623.2cd31b6-3) unstable; urgency=medium

  * debian/patches/fixup.patch: fix compilation for linux 6.9 (closes:
    #1073991)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 28 Jun 2024 12:03:34 +0200

ezurio-qcacld-2.0-dkms (0.0~git20230623.2cd31b6-2) unstable; urgency=medium

  * debian/ezurio-qcacld-2.0-dkms.dkms: minimum kernel version and limit to
    64bit arches (closes: #1071031)
  * add patch to make it compile with 6.8

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 27 May 2024 23:39:19 +0200

ezurio-qcacld-2.0-dkms (0.0~git20230623.2cd31b6-1) unstable; urgency=medium

  [ Lukas F. Hartmann ]
  * Initial package.

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 27 Mar 2024 14:31:32 +0100

=== debian/control ===
Source: ezurio-qcacld-2.0-dkms
Priority: optional
Maintainer: Lukas F. Hartmann <lukas@mntre.com>
Uploaders: Johannes Schauer Marin Rodrigues <josch@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-dkms,
Standards-Version: 4.6.2
Section: kernel
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/ezurio-qcacld-2.0-dkms
Vcs-Git: https://salsa.debian.org/debian/ezurio-qcacld-2.0-dkms.git
Testsuite: autopkgtest-pkg-dkms

Package: ezurio-qcacld-2.0-dkms
Architecture: all
Depends:
 ${misc:Depends},
Description: DKMS source for the Qualcomm QCA9377 SDIO driver
 This is the out-of-tree Qualcomm qcacld-2.0 driver from the CodeAurora
 repository with changes by Boundary Devices to enable Wi-Fi on
 Laird Connectivity and Boundary Devices (now ezurio) System-On-Modules like
 the i.MX 8 Nitrogen8M Plus SOM (NXP i.MX 8M Plus) as it is used in the MNT
 Pocket Reform.

## ezurio-qcacld-2.0-dkms 0.0~git20240408.aa96a9f+dfsg

=== debian/changelog ===
ezurio-qcacld-2.0-dkms (0.0~git20240408.aa96a9f+dfsg-5ubuntu1) plucky; urgency=medium

  * Support Linux 6.14 (LP: #2100794)
    - Change-signature-of-wlan_hdd_cfg80211_get_txpower-linux-6.14.patch
  * Change maintainer to Ubuntu Developers

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Mon, 03 Mar 2025 18:37:22 +0100

ezurio-qcacld-2.0-dkms (0.0~git20240408.aa96a9f+dfsg-5) unstable; urgency=medium

  * debian/control: set Maintainer to Debian Reform Team

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 14 Feb 2025 09:41:52 +0100

ezurio-qcacld-2.0-dkms (0.0~git20240408.aa96a9f+dfsg-4) unstable; urgency=medium

  * debian/patches: Convert symbol namespace to string literal for linux
    kernel versions greater equal 6.13 (Closes: #1093092)
  * debian/patches: avoid redefinition of MIN and MAX

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 20 Jan 2025 10:27:04 +0100

ezurio-qcacld-2.0-dkms (0.0~git20240408.aa96a9f+dfsg-3) unstable; urgency=medium

  * add kernel 6.11 fixes from https://source.mnt.re/reform/qcacld2/
    (Closes: #1082717)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 30 Oct 2024 12:36:21 +0100

ezurio-qcacld-2.0-dkms (0.0~git20240408.aa96a9f+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Rename module to qcacld2
  * Hide p2p0 interface
  * Break old firmware package.
    Paths have moved, so the old package is unusable.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 12 Sep 2024 00:38:46 +0200

ezurio-qcacld-2.0-dkms (0.0~git20240408.aa96a9f+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0~git20240408.aa96a9f+dfsg
  * debian/copyright: exclude non-free binary blob
  * debian/control: wrap-and-sort -ast
  * add debian/README.source

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 07 Jul 2024 01:48:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: ezurio-qcacld-2.0-dkms
 Priority: optional
-Maintainer: Lukas F. Hartmann <lukas@mntre.com>
-Uploaders: Johannes Schauer Marin Rodrigues <josch@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Reform Team <team+reform@tracker.debian.org>
+Uploaders:
+ Johannes Schauer Marin Rodrigues <josch@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-dkms,
@@ -16,6 +18,8 @@
 Architecture: all
 Depends:
  ${misc:Depends},
+Breaks:
+ ezurio-qca-firmware (<< 0.0~git20230404.bad01ca-2~)
 Description: DKMS source for the Qualcomm QCA9377 SDIO driver
  This is the out-of-tree Qualcomm qcacld-2.0 driver from the CodeAurora
  repository with changes by Boundary Devices to enable Wi-Fi on

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION_UPSTREAM)

# ignore upstream Makefile
override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:
